import '../model/response/account_info_response.dart';
import '../model/response/create_session_response.dart';
import '../model/response/process_response.dart';

abstract class SoliqIdRepository {
  Future<AccountInfoResponse> setAccountInfo({
    required int pinfl,
    required String lang,
  });

  Future<CreateSessionResponse> createSession({
    required String lang,
    required String fio,
    required int pinfl,
  });

  Future<ProcessResponse> setProcess({
    required int id,
    required int asked,
    required String processId,
    required String date,
  });

  Future<ProcessResponse> compareFace({
    required int id,
    required int asked,
    required String processId,
    required String image,
  });
}
